using PARR.Core.Repositories.Interfaces.JobRepositories;
using PARR.DAL.Context;
using PARR.Domain.Entities.JobEntities;

namespace PARR.DAL.Repositories.Job
{
    internal class JobAutoControlRepository : IJobAutoControlRepository
    {
        private readonly DataContext dataContext;

        public JobAutoControlRepository(DataContext dataContext)
        {
            this.dataContext = dataContext;
        }

        public IQueryable<JobAutoControl> Get()
        {
            return dataContext.JobAutoControls;
        }

        public void RemoveRange(List<JobAutoControl> autoControlList)
        {
            dataContext.JobAutoControls.RemoveRange(autoControlList);
        }
    }
}
